Ankündigung

#1 2021-02-11 20:50:42

specialist383
Mitglied
2021-02-11
1

Template-Problem bei 11.3.0

Ich habe piwigo seit 2 Jahren in Benutzung. Ein positiver Grund war neben der guten Funktionalität das sehr ansprechende Design.
Nun habe ich, folgend einem mail-Hinweis, ein Upgrade auf das neue 11.3.0 gemacht. Funktionieren tun die Gallerie mit rund 1000 Bilder schon noch, in der Mobilversion sogar fehlerfrei.
In der normalen Webansicht kommt aber auf jeder Seite drei- oder mehrmals eine Fehlermeldung, dass sich "deprecated characters" in "###/include/template.class.php in den Zeilen 1024 und 1899 befinden. Das zerschlägt die Darstellung der Webseite völlig, sieht sehr merkwürdig aus.
Wenn ich diese Zeilen im Programm suche, so finde ich in beiden eine Befehlszeile mit einem Bezug zu der Template-Engine smarty und dem Befehlsausschnitt ... base_convert(crc32($key.....
Ich habe vor längerem zwar mal etwas mit smarty gemacht, kann aber an dieser Stelle kaum rätseln, wo das Problem liegt. Google meint, dass mit so einem Befehl ein Dateiname manipuliert werden könnte. Klar ist nur, dass, wenn die Zeile wegen eines SW-Problems nicht ausgeführt werden kann, das Template und damit das Anzeigebild im Eimer ist.
Für so eine Fehlermeldung aka "... verstehe den Programmcode nicht" kann es viele Gründe geben, von zu alten oder zu neuen smarty- oder php-Versionen bis zu geänderten Syntaxregeln. Ich schätze, wenn da ein "Eingeweihter" einen Blick drauf wirft, wäre eine Lösung schneller zu finden.
Mit den im admin-Menue vorsehenen Testroutinen habe ich alles mögliche durchgespielt, aber keine Ansagen oder Meldungen gefunden.
Da sich piwigo selbst intern in die neue Version upgraded, könnte es u.U. auch ein Zugriffsrechte-Problem sein, dass ein php-Modul nicht neu geworden, sondern noch das alte ist und nicht passt.
Eine Änderung der Darstellungsform oder "Löschen kompilierter Versionen" ändert auch nichts.
Bei mir funktioniert die neue piwigo Version also nicht . Sehr schade.

Offline

#2 2021-02-12 00:36:04

drlecter
Piwigo Team Moderators
2016-03-17
688

Re: Template-Problem bei 11.3.0

Welche PHP Version hast du im Einsatz? Man kann ggf. auch die Depreached Meldungen in der Config ausschalten. Dies sind nur Hinweise, das in Zukunft halt nicht mehr unterstützt werden.
Es kann auch generell das Template nicht mehr weiterentwickelt wird.
Ein paar Infos: Welches Template? PHP Version?
Es gibt unter Konfiguration->Menu einen neuen Punk "Verwante Alben" der noch bei einigen Themes Probleme macht.

Offline

Brett Fußzeile

Unterstützt von FluxBB

github twitter newsletter Spenden Piwigo.org © 2002-2021 · Kontakt